$regfile = "ATtiny13.DAT"
$crystal = 9600000                                          'Frequenz des internen Oszillators

$hwstack = 32                                               'default use 32 for the hardware stack
$swstack = 10                                               'default use 10 for the SW stack
$framesize = 40                                             'default Use 40 For The Frame

Stop Ac
Stop Adc



Config Portb = &B11111101                                   'Portb.1 auf 'Eingang' schalten
Portb = &B00000011                                          'Pullup Portb.1; Portb.0=1


Config Int0 = Rising
On Int0 Einaus                                              'INT0 konfiguriren, wird nur benutzt um Powerdown zu beenden


Dim A As Byte                                               'Softwarezhler LED an PortB.4
Dim B As Byte                                               'Softwarezhler LED an PortB.3
Dim C As Byte                                               'Softwarezhler Martinshorn
Dim D As Byte                                               'Variable fr TCNT0

Anfang:                                                     'Beginn Initialisierung

Waitms 10

A = 0
B = 67
C = 0

Enable Int0
Enable Interrupts
Portb = &B00000011
Powerdown

Config Timer0 = Timer , Prescale = 64                       'TIMER0 erzeugt Tonfrequenzen
Tcnt0 = 97
On Timer0 Horn
Enable Timer0

Disable Int0


Schleife:                                                   'Entprellen nach Beendigung von Powerdown
If Pinb.1 = 0 Then
Goto Schleife
End If


Do                                                          'Do - Loop fr die 3 Softwarezhler


Waitms 10

Incr A
Incr B
Incr C


If A = 79 Then
Portb.4 = 1
Elseif A = 90 Then
Portb.4 = 0
End If

If A = 99 Then
Portb.4 = 1
Elseif A = 105 Then
Portb.4 = 0
End If

If A = 105 Then
A = 0
End If


If B = 84 Then
Portb.3 = 1
Elseif B = 95 Then
Portb.3 = 0
End If

If B = 104 Then
Portb.3 = 1
Elseif B = 110 Then
Portb.3 = 0
End If

If B = 110 Then
B = 0
End If


If C = 1 Then
D = 97
Elseif C = 75 Then
D = 137
End If

If C = 150 Then
C = 0
End If


If Pinb.1 = 0 Then                                          'Ausschalten mit Entprellen
Stop Timer0
Portb = &B00000011

Kontakt:

   If Pinb.1 = 0 Then
   Goto Kontakt
   End If

Goto Anfang
End If


Loop


Horn:

Toggle Portb.0
Toggle Portb.2

Tcnt0 = D
Return


Einaus:
nop
Return


End